# Management Methods

The QLM License Server provides an extended set of functions that you may want to use for managing your license keys or integrating licensing with any other internal process that you may have.

This extended set of functions should never be called from within your application but rather called from a server or a system that your end-user does not have access to.

Before calling any of the functions below, you need to set the AdminEncryptionKey property of the QlmLicense object to the value specified in your Site Properties (Manage Keys tab / Site).

If you are developing an application in .NET, it is highly recommended that you obfuscate your code, and more specifically that you encrypt sensitive strings such as the AdminEncryptionKey.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/management-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
